package conv

import (
	"gadmin/package/gmdata"
	"gadmin/utility"
	"github.com/sirupsen/logrus"
)

var Seven = new(cSeven)

type cSeven struct {
	version string
	lst     []*gmdata.Role
}

func (j *cSeven) Extract(version string) {
	logrus.Info("cSeven Extract...")
	j.setVersion(version).save()
}

func (j *cSeven) setVersion(version string) *cSeven {
	j.version = version
	return j
}

func (j *cSeven) save() {
	// 下载的文件列表
	downs := []string{"SevenDaysActivityReward.json", "SevenDaysActivityTaskList.json"}
	for _, fileName := range downs {

		// 保存文件
		url := utility.PullJsonAddr(j.version, fileName)
		dstFileName := utility.LocalJsonPath(j.version, fileName)
		if err := HttpRequestToFile(url, dstFileName); err != nil {
			logrus.Info("HttpRequestToFile err:%+v", err)
			return
		}
	}
}
